| Home | Libraries | People | FAQ | More

#### grammar::is_charset

Alias for `std::true_type` if T satisfies CharSet.

##### Synopsis

Defined in header `<boost/url/grammar/charset.hpp>`

    template<
        class T>
    using is_charset = see-below;

##### Description

This metafunction determines if the type `T` meets these requirements of CharSet:

- An instance of `T` is invocable with this equivalent function signature:

      bool T::operator()( char ) const noexcept ;

##### Example

Use with `enable_if` on the return value:

    template < class CharSet >
    typename std::enable_if< is_charset<T>::value >::type
    func( CharSet const & cs );

##### Template Parameters

Type | Description
--- | ---
`T` | the type to check.

Convenience header `<boost/url/grammar.hpp>`